Main Page Modules Data Structures File List Data Fields Globals Related Pages

# DBObject Struct Reference

## Data Fields
PyObject_HEAD DB * | db
DBEnvObject * | myenvobj
int | flags
int | setflags
int | haveStat
int | getReturnsNone

## Field Documentation

PyObject_HEAD DB* DBObject::db

| Definition at line 188 of file _rpmdb.c. Referenced by _DB_delete, _DB_get_type, _DB_make_list, _DB_put, DB_ass_sub, DB_close, DB_cursor, DB_dealloc, DB_fd, DB_get, DB_get_both, DB_get_byteswapped, DB_get_size, DB_has_key, DB_join, DB_key_range, DB_length, DB_open, DB_remove, DB_rename, DB_set_bt_minkey, DB_set_cachesize, DB_set_flags, DB_set_h_ffactor, DB_set_h_nelem, DB_set_lorder, DB_set_pagesize, DB_set_re_delim, DB_set_re_len, DB_set_re_pad, DB_set_re_source, DB_stat, DB_subscript, DB_sync, DB_upgrade, DB_verify, and newDBObject.

int DBObject::flags

| Definition at line 190 of file _rpmdb.c. Referenced by DB_open, and newDBObject.

int DBObject::getReturnsNone

| Definition at line 193 of file _rpmdb.c. Referenced by _DBCursor_get, DB_get, DB_get_both, DB_set_get_returns_none, DBC_get, and newDBObject.

int DBObject::haveStat

| Definition at line 192 of file _rpmdb.c. Referenced by _DB_delete, _DB_put, DB_length, DB_stat, DBC_delete, DBC_put, and newDBObject.

DBEnvObject* DBObject::myenvobj

| Definition at line 189 of file _rpmdb.c. Referenced by DB_close, DB_dealloc, and newDBObject.

int DBObject::setflags

| Definition at line 191 of file _rpmdb.c. Referenced by DB_ass_sub, DB_set_flags, and newDBObject.

The documentation for this struct was generated from the following file:

- python/_rpmdb.c